Bug 161680 - [UPDATE] unbreak print/gutenprint-cups, upgrade gutenprint ports
Summary: [UPDATE] unbreak print/gutenprint-cups, upgrade gutenprint ports
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Pawel Pekala
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-10-15 13:20 UTC by Christoph Moench-Tegeder
Modified: 2011-10-17 01:20 UTC (History)
0 users

See Also:


Attachments
file.diff (10.31 KB, patch)
2011-10-15 13:20 UTC, Christoph Moench-Tegeder
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Christoph Moench-Tegeder freebsd_committer 2011-10-15 13:20:06 UTC
	Attached patch
	  - upgrades the print/gutenprint* ports to gutenprint 5.2.7
	  - unbreaks print/gutenprint-cups with cups 1.5 (the fix is already
	    in the gutenprint CVS, so I expect
		gutenprint-base/files/patch-src_cups_commandto{canon.epson}.c
		can be dropped when gutenprint 5.2.8 is released

    This is a great opportunity to get gutenprint-cups fixed before 9.0.
	
	It seems as if the gutenprint ports are without maintainer right now,
	so if nobody else has volunteered so far feel free to assign
	maintainership to me.

Fix: Patch can be found at http://www.burggraben.net/tmp/gutenprint_ports.diff
	in case it got mangled in transit.
How-To-Repeat: 	print/gutenprint-cups is marked BROKEN
Comment 1 Pawel Pekala freebsd_committer 2011-10-16 14:50:18 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pawel

I'll take it.
Comment 2 dfilter service freebsd_committer 2011-10-17 01:11:23 UTC
pawel       2011-10-17 00:11:10 UTC

  FreeBSD ports repository

  Modified files:
    print/gimp-gutenprint Makefile 
    print/gutenprint     Makefile 
    print/gutenprint-base Makefile distinfo pkg-plist 
    print/gutenprint-base/files patch-src_gimp2_Makefile.in 
    print/gutenprint-cups Makefile pkg-plist 
    print/gutenprint-foomatic Makefile pkg-plist 
    print/gutenprint-ijs Makefile 
  Added files:
    print/gutenprint-base/files patch-src_cups_commandtocanon.c 
                                patch-src_cups_commandtoepson.c 
  Log:
  - Unbreak and update to version 5.2.7
  - Assign maintainership to submitter
  
  PR:             ports/161680
  Submitted by:   Christoph Moench-Tegeder <cmt@burggraben.net>
  
  Revision  Changes    Path
  1.18      +0 -1      ports/print/gimp-gutenprint/Makefile
  1.53      +7 -11     ports/print/gutenprint-base/Makefile
  1.19      +2 -2      ports/print/gutenprint-base/distinfo
  1.1       +10 -0     ports/print/gutenprint-base/files/patch-src_cups_commandtocanon.c (new)
  1.1       +10 -0     ports/print/gutenprint-base/files/patch-src_cups_commandtoepson.c (new)
  1.3       +4 -4      ports/print/gutenprint-base/files/patch-src_gimp2_Makefile.in
  1.19      +28 -0     ports/print/gutenprint-base/pkg-plist
  1.14      +1 -4      ports/print/gutenprint-cups/Makefile
  1.10      +261 -0    ports/print/gutenprint-cups/pkg-plist
  1.10      +1 -2      ports/print/gutenprint-foomatic/Makefile
  1.5       +10 -2     ports/print/gutenprint-foomatic/pkg-plist
  1.10      +1 -2      ports/print/gutenprint-ijs/Makefile
  1.42      +2 -3      ports/print/gutenprint/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Pawel Pekala freebsd_committer 2011-10-17 01:11:33 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!